#include "cmlib_private_config.hpp"

#include <QCoreApplication>
#include <QDebug>
#include <QFile>
#include "fsh.hpp"


// function args by ref
int qStringToInt(QString s)
{
	return s.toInt();
}


int main( int argc, char** argv )
{
	QCoreApplication app( argc, argv );

	// qt-keywords
	QList<int> il;
	il << 111 << 222;
	foreach(int i, il)
	{
		qDebug() << i;
	}

	QStringList sl;
	// string allocations
	sl << "111" << "222";
	// loop add ref
	for (const auto &s: sl)
	{
		qDebug() << s;
	}

	// loop qasconst
	for (auto s: sl)
	{
		s.append("0");
	}

	// function args by ref
	QString s { "100" };
	auto ir = qStringToInt(s);

	// old style connect
	QFile f;
	FileSignalHandler fsh;
	QObject::connect(&f, SIGNAL(aboutToClose()), &fsh, SLOT(process()));

	return( 0 );
}
